<div class="row">
    <div class="col-md-1 text-center"></div>
    <div class="col-md-10 text-center">
        <h2><{if $stu}><{$stu_grade}>年<{$stu_class}><{$stu.stu_num}>號<{$stu.stu_title}>(<{$stu_id}>)<{else}><{$smarty.const._MD_KWLEAVE_BOOK_UNKNOWN}><{/if}><{$smarty.const._MD_KWLEAVE_BOOK_APPLY}>

        <a href="<{$xoops_url}>/modules/kw_leave/index.php?op=kw_leave_logout" class="btn btn-md btn-warning"><{$smarty.const._MD_KWLEAVE_LOGOUT}></a>
    </h2>
        <span class="badge badge-primary bg-primary" style="width: 100%;text-align: center"> <{$semester_arr.this_year}><{$smarty.const._MD_KWLEAVE_BOOK_YEAR}> <{$smarty.const._MD_KWLEAVE_BOOK_DATE_LIMIT}>
            <{$semester_arr.start_dt_dc}> ~~ <{$semester_arr.end_dt_dc}> 
            <{$smarty.const._MD_KWLEAVE_BOOK_TIME_LIMIT}><{$semester_arr.school_limit_start}>~<{$semester_arr.school_limit_end}> 
        </span>
        <br>
        <div class="col-md-5"></div>
        <div class="col-md-5"></div>
        <!--套用formValidator驗證機制-->
        <form action="index.php" method="post" id="bookForm" name="bookForm" enctype="multipart/form-data" class="myForm " role="form">
            <!-- 假別 -->
            <div class="form-group row">
                <label for="cate_id" class="col-md-2 col-form-label text-sm-right  text-sm-end"><{$smarty.const._MD_KWLEAVE_BOOK_CATE}><span class="caption-required">*</span></label>
                <div class="col-md-4">
                    <select class="form-control validate[required]" size="1" name="cate_id" id="cate_id" title="">
                    <{foreach from=$cate_arr key="index" item="value"}>
                        <option value='<{$index}>' <{if $cate_id == $index}> selected<{/if}> ><{$value}></option>
                    <{/foreach}>
                    </select>
                </div>
            <!--模式-->
                <label for="book_mode" class="col-md-2 col-form-label text-sm-right  text-sm-end"><{$smarty.const._MD_KWLEAVE_BOOK_MODE}><span class="caption-required">*</span></label>
                <div class="col-md-4">
                    <select class="form-control validate[required]" size="1" name="book_mode" id="book_mode" title="" >
                        <option value="day" <{if $book_mode=='day'}>selected<{/if}>><{$smarty.const._MD_KWLEAVE_BOOK_SHORT}></option>
                        <option value="class" <{if $book_mode=='class'}>selected<{/if}>><{$smarty.const._MD_KWLEAVE_BOOK_CLASS}></option>
                    </select>
                </div>
            </div>
            <!--模式節次 -->
            <div class="form-group row" id="book_class" >
                <label for="book_class_start" class="col-md-2 col-form-label text-sm-right  text-sm-end">
                    <{$smarty.const._MD_KWLEAVE_BOOK_CLASS_START}><span class="caption-required">*</span>
                </label>
                <div class="col-md-2">
                    <input class="form-control validate[required]" type="text" name="book_dt_start" id="book_class_date" size="30" maxlength="25" value="<{if $book_dt_start}><{$book_dt_start}><{else}><{$today}><{/if}>" onclick="WdatePicker({dateFmt:'yyyy-MM-dd', minDate:'<{$semester_arr.start_dt_dc}>', maxDate:'<{$semester_arr.end_dt_dc}>', minTime:'<{$semester_arr.school_limit_start}>'})">
                </div>
                <div class="col-md-2">
                    <select class="form-control validate[required]" size="1" name="book_class_start" id="book_class_start" title="" >
                        <{foreach from =$school_time key="index" item="value"}>
                            <option value='<{$index}>' <{if $book_class_start == $index}> selected<{/if}>><{$value}></option>
                        <{/foreach}>
                    </select>
                </div>
                <label for="book_class_end" class="col-md-2 col-form-label text-sm-right  text-sm-end">
                    <{$smarty.const._MD_KWLEAVE_BOOK_CLASS_END}><span class="caption-required">*</span>
                </label>
                <div class="col-md-2">
                    <select class="form-control validate[required]" size="1" name="book_class_end" id="book_class_end" title="" >
                        <{foreach from =$school_time key="index"  item="value"}>
                            <option value='<{$index}>' <{if $book_class_end == $index}> selected<{/if}>><{$value}></option>
                        <{/foreach}>
                    </select>
                </div>
            </div>
            <!--請假日期 -->
            <div class="form-group row" id="book_date">
                <label for="book_dt_start" class="col-md-2 col-form-label text-sm-right  text-sm-end">
                    <{$smarty.const._MD_KWLEAVE_BOOK_DATE}><span class="caption-required">*</span>
                </label>
                <div class="col-md-4">
                    <input class="form-control validate[required]" type="text" name="book_dt_start" id="book_dt_start" size="30" maxlength="25" value="<{if $book_dt_start}><{$book_dt_start}><{else}><{$today}><{/if}>" onclick="WdatePicker({dateFmt:'yyyy-MM-dd HH:00:00', minDate:'<{$semester_arr.start_dt_dc}>', maxDate:'<{$semester_arr.end_dt_dc}>', minTime:'<{$semester_arr.school_limit_start}>', maxTime:'<{$semester_arr.school_limit_end}>'})">
                </div>
                <label for="book_dt_end" class="col-md-2 col-form-label text-sm-right  text-sm-end">
                    <{$smarty.const._MD_KWLEAVE_BOOK_CLOSE}><span class="caption-required">*</span>
                </label>
                <div class="col-md-4">
                    <input class="form-control validate[required]" type="text" name="book_dt_end" id="book_dt_end" size="30" maxlength="25" value="<{if $book_dt_end}><{$book_dt_end}><{else}><{$today}><{/if}>" onclick="WdatePicker({dateFmt:'yyyy-MM-dd HH:00:00', minDate:'#F{$dp.$D(\'book_dt_start\',{d:0});}', minTime:'<{$semester_arr.school_limit_start}>', maxTime:'<{$semester_arr.school_limit_end}>' })">
                </div>
            </div>
            <!-- 請假事由 -->
            <div class="form-group row">
                <label for="class_desc" class="col-md-2 col-form-label text-sm-right  text-sm-end"><{$smarty.const._MD_KWLEAVE_BOOK_DESC}><span class="caption-required">*</span></label>
                <div class="col-md-10" >
                    <{$book_desc_editor}>
                </div>
            </div>
            <!-- 家長資訊 -->
            <div class="form-group row">
                <label for="stu_parent" class="col-md-2 col-form-label text-sm-right  text-sm-end"><{$smarty.const._MD_KWLEAVE_BOOK_PARENT}><span class="caption-required">*</span></label>
                <div class="col-sm-3">
                    <input type="input" name="stu_parent" id="stu_parent" class="form-control validate[required]" placeholder="家長姓名" value="<{$stu_json.stu_parent}>" >
                </div>
                <div class="col-md-3">
                    <input type="input" name="stu_contact" id="stu_contact" class="form-control validate[required]" placeholder="手機09xxxxxxxx" value="<{$stu_json.stu_contact}>"  required="required" maxlength="11" pattern="09\d{2}\d{6}"/>
                </div>
                <div class="col-md-4">
                    <input type="email" name="stu_email" id="stu_email" class="form-control validate[required]" placeholder="E-mail" value="<{$stu_json.stu_email}>"required="required" pattern="[a-z0-9._%+-]+@[a-z0-9.-]+\.[a-z]{2,4}$"/>
                </div>
            </div>
            <!-- 簽名 -->
            <div class="form-group row">
                <label for="class_sign" class="col-md-2 col-form-label text-sm-right  text-sm-end"><{$smarty.const._MD_KWLEAVE_BOOK_SIGN}><span class="caption-required">*</span></label>
                <div class="col-md-2 text-sm-left  text-sm-end">
                    <!--線上簽名-->
                    <{if $book_id}>
                    <a href="#" class="btn btn-md btn-success" id="btn_sign" value="<{$book_id}>">線上簽名</a>
                    <{else}>
                    <a href="#" class="btn btn-md btn-success" id="btn_sign" value="<{$bid}>">線上簽名</a>
                    <{/if}>
                    <img id="show_img">
                </div>
                <label for="class_sign" class="col-md-2 col-form-label text-sm-right  text-sm-end" id="file_label">或 上傳簽名</label>
                <div class="col-md-4 text-sm-left  text-sm-end">
                    <!--上傳簽名-->
                    <input type="file" name="file" id="file" class="form-control <{if !$book_sign && $is_sign}>validate[required]<{/if}>" placeholder="請上傳影像檔" ><!--accept=".png/.jpg"-->
                </div>
                <{$book_sign}>
            </div>
            <!-- 是否啟用 -->
            <div class="form-group row">
                <label for="book_isenable" class="col-md-2 col-form-label text-sm-right  text-sm-end">
                    <{$smarty.const._MD_KWLEAVE_BOOK_ISENABLE}><span class="caption-required">*</span></label>
                <div class="col-md-6">
                    <div class="form-check-inline radio-inline pt-2">
                        <label class="form-check-label">
                            <input class="form-check-input" type='radio' name='book_isenable' id='book_isenable1' title='<{$smarty.const._YES}>' value='1' <{if $book_isenable!='0'}>checked<{/if}>>
                                <{$smarty.const._YES}>
                        </label>
                    </div>
                    <div class="form-check-inline radio-inline pt-2">
                        <label class="form-check-label">
                            <input class="form-check-input " type='radio' name='book_isenable' id='book_isenable2' title='<{$smarty.const._NO}>' value='0' <{if $book_isenable=='0'}>checked<{/if}>>
                                <{$smarty.const._NO}><{$smarty.const._MD_KWLEAVE_BOOK_NOTE}>
                        </label>
                    </div>
                </div>
            </div>
            <!-- 送出 -->
            <div class="text-center">
                <{$book_token}>
                <{if $book_id }>
                <input type="hidden" name="book_id"  value="<{$book_id}>" >
                <input type="hidden" name="op" value="kw_leave_book_update">
                <input type="hidden" name="book_number" value="<{$book_number}>">
                <{else}>
                <input type="hidden" name="op" value="kw_leave_book_insert">
                <{/if}>
                <input type="hidden" name="book_img" id="book_img" value="">
                <input type="hidden" name="book_title" value="<{$stu_grade}>年<{$stu_class}><{$stu.stu_num}>號<{$stu.stu_title}>(<{$stu_id}>)請假單" >
                <input type="hidden" name="stu_id" value="<{$stu_id}>">
                <button type="submit" name = "submit" class="btn btn-primary"><{$smarty.const._MD_KWLEAVE_CHECK_OK}></button>
            </div>
        </form>
    </div>
</div>
<div class="row">
    <div class="col-md-1 text-left"></div>
    <div class="col-md-10 text-left">
        <span class="badge badge-danger bg-danger"><{$smarty.const._MD_KWLEAVE_BOOK_NOTE_DESC}>:</span>
        <span class="badge badge-info bg-info">
            <{$book_warning}>
        </span> <br>
    </div>
</div>

<script  type="text/javascript">

    $(document).ready(function(){
        change('<{$book_mode}>');
        $('#book_mode').change(function(){
            change($('#book_mode').val());
        });

        change('<{$book_class_start}>');
        $('#book_class_start').change(function(){
            let start = $('#book_class_start').val();
            $('#book_class_end').val(start);
            $('select#book_class_end option').each(function(){
                if ($(this).val() >= start) {     
                    $(this).show();
                } else {
                    $(this).hide();
                }
            });
        });

        $('#logout').click(function(){
            $.get("index.php", {op: "kw_leave_book_logout"}, function(res){
                $("#all_stu").html(res);
            });
        });

        $('#file').click(function(){
            $("#btn_sign").remove();
            insert();
        });

        $("#btn_close").click(function() {
            $('#signModal').modal('hide');
        });

        $("#btn_show").click(function() {
            $('#signModal').modal('hide');
            img = $('#signature').contents().find("#signimg").val();
            $("#book_img").val(img);
            $("#show_img").attr('src',img);
            
        });

        $('#btn_sign').click(function(){
            bid = $("#btn_sign").val();
            $("#file_label").remove();
            $("#file").remove();
            $('#signModal').modal('show');

        });
    });
    
    function change(mode){
        if(mode=="class"){
            $('#book_class').show();
            $('#book_date').hide();
        } else{
            $('#book_class').hide();
            $('#book_date').show();
        }
    }
</script>

<div class="modal fade" id="signModal" tabindex="-1" aria-labelledby="signModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-fullscreen-sm-down">
        <div class="modal-content">
            <div class="modal-header text-center">
                <h5 class="modal-title" id="signModalLabel">線上簽名</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <div class="container-fluid text-center">
                    <iframe src="signature.html" id="signature" width="240" height="280" scrolling="no"></iframe>
            </div>
            <div class="modal-footer text-center">
                <button type="button" class="btn btn-primary" id="btn_show" data-bs-dismiss="modal">送出簽名</button>
            </div>
            </div>
        </div>
    </div>
</div>
        