<!--套用formValidator驗證機制-->

<div class="input-group input-group-sm mb-3">
    <form action="config.php" method="post" id="book_delAll" class="myForm " role="form"> 
    <input type="hidden" name="op"  id="op" value="kw_leave_all_delete">
    <input type="hidden" name="isDel" id="isDel" value="1">
    <input type="hidden" name="type" id="type" value="book">
    <button type="submit" id="btn-book" data-toggle="tooltip" data-placement="top" data-bs-placement="top" data-bs-toggle="tooltip" data-bs-placement="top" title="刪除3年前的所有假單和簽核" alt="刪除3年前的所有假單和簽核" <{if !$isDelAll}> class="btn-sm btn-secondary" disabled <{else}>class="btn-sm btn-danger" <{/if}> >刪除歷史假單</button>
    </form>
    
</div>

<form action="config.php" method="post" id="processForm" enctype="multipart/form-data" class="myForm " role="form">
    <!--排序-->
    <div class="form-group row mb-3">
        <label class="col-sm-4 col-form-label text-sm-right  text-sm-end">
            <{$smarty.const._MD_KWLEAVE_PROCESS_SORT}>
        </label>
        <div class="col-sm-6">
            <input type="text" name="process_sort" id="process_sort" class="form-control validate[required]" value="<{$process_sort}>" placeholder="<{$smarty.const._MD_KWLEAVE_SORT}>">
        </div>
    </div>

    <!--處室-->
    <div class="form-group row mb-3">
        <label class="col-sm-4 col-form-label text-sm-right  text-sm-end">
            <{$smarty.const._MD_KWLEAVE_OFFICE_TITLE}>
        </label>
        <div class="col-sm-6">
            <select class="form-control validate[required]" size="1" name="office_id" id="office_id" title="<{$smarty.const._MD_KWLEAVE_OFFICE_TITLE}>">
                <{foreach from=$office_arr key=id item=title}>
                    <option value="<{$id}>" <{if $office_id==$id}>selected<{/if}>>
                        <{$title}>
                    </option>
                <{/foreach}>
            </select>
        </div>
    </div>

    <!--UID-->
    <div class="form-group row mb-3">
        <label class="col-sm-4 col-form-label text-sm-right  text-sm-end">
            <{$smarty.const._MD_KWLEAVE_UID_PICKER}>
        </label>
        <div class="col-sm-6">
            <select class="form-control validate[required]" size="1" name="process_uid" id="process_uid" title="<{$smarty.const._MD_KWLEAVE_UID_PICKER}>">
                <{foreach from=$user_arr key=id item=arr_u}>
                    <option value="<{$arr_u.uid}>" <{if $process_uid==$arr_u.uid}>selected<{/if}>>
                        (<{$arr_u.uid}>)<{$arr_u.uname}>【<{$arr_u.name}>】
                    </option>
                <{/foreach}>
            </select>
        </div>
    </div>
    <!--職稱-->
    <div class="form-group row mb-3">
        <label class="col-sm-4 col-form-label text-sm-right  text-sm-end">
            <{$smarty.const._MD_KWLEAVE_PROCESS_TITLE}>
        </label>
        <div class="col-sm-6">
            <input type="text" name="process_title" id="process_title" class="form-control validate[required]" value="<{$process_title}>" placeholder="<{$smarty.const._MD_KWLEAVE_PROCESS_TITLE}>">
        </div>
    </div>

    <!--職代UID-->
    <div class="form-group row mb-3">
        <label class="col-sm-4 col-form-label text-sm-right  text-sm-end">
            <{$smarty.const._MD_KWLEAVE_PROCESS_BACKUP}>
        </label>
        <div class="col-sm-6">
            <select class="form-control validate[required]" size="1" name="process_backup_uid" id="process_backup_uid" title="<{$smarty.const._MD_KWLEAVE_PROCESS_PICKER}>">
                <{foreach from=$user_arr key=id item=arr_u}>
                    <option value="<{$arr_u.uid}>" <{if $process_backup_uid==$arr_u.uid}>selected<{/if}>>
                        (<{$arr_u.uid}>)<{$arr_u.uname}>【<{$arr_u.name}>】
                    </option>
                <{/foreach}>
            </select>
        </div>
    </div>

    <!--狀態-->
    <div class="form-group row mb-3">
        <label class="col-sm-4 col-form-label text-sm-right  text-sm-end">
            <{$smarty.const._MD_KWLEAVE_ISENABLE}>
        </label>
        <div class="col-sm-6">
            <div class="form-check-inline radio-inline pt-2">
                <label class="form-check-label">
                    <input type="radio" name="process_isenable" id="process_isenable_1" value="1" <{if $process_isenable != "0"}>checked<{/if}>>
                    <{$smarty.const._YES}>
                </label>
            </div>
            <div class="form-check-inline radio-inline pt-2">
                <label class="form-check-label">
                    <input type="radio" name="process_isenable" id="process_isenable_0" value="0" <{if $process_isenable == "0"}>checked<{/if}>>
                    <{$smarty.const._NO}>
                </label>
            </div>
        </div>
    </div>
    <div class="text-center">
        <{$process_token}>
            <!--submit-->
            <input type="hidden" name="type" value="process">
            <input type="hidden" name="op" value="<{$_op}>">
            <input type="hidden" name="config_id" value="<{$process_id}>">
            <button type="submit" class="btn btn-primary"><{$smarty.const._TAD_SAVE}></button>
    </div>
</form>

<script type="text/javascript">
$(document).ready(function(){
    $("#book_delAll").submit(function() {
        event.preventDefault();
        var form = $(this);
        var url = form.attr('action');
        swal({
        title: '確定要刪除3年前所有假單？',
        text: '3年前所有假單、簽核以及家長簽名將都會被刪除！',
        type: 'warning',
        html: '',
        showCancelButton: true,
        confirmButtonColor: '#DD6B55',
        confirmButtonText: '確定刪除假單！',
        closeOnConfirm: false ,
        allowOutsideClick: true
        },
        function(){
            $.ajax({
                url : url,
                type : 'post',
                cache: false,
                data : form.serialize(), // 不用JSON.stringify()
                dataType : "json", //回傳格式
                success: function(res) {
                //alert("成功:"+ data); // result是json物件
                if(res.result){
                    $("#btn-book").attr('class',"btn-secondary").css("color", "white");
                    swal("提醒","3年前假單已刪除!","success");
                    setTimeout(function() { 
                    location.reload();
                    }, 3000); 
                }else{
                    swal("錯誤",res.msg,"error");
                } 
                },
                error: function(xhr) {
                swal("錯誤","刪除錯誤"+xhr.error,"error");
                }     
            });
        });
    });//book_delAll

});//document
</script>