<?php
//載入XOOPS主設定檔（必要）
require_once dirname(dirname(__DIR__)) . '/mainfile.php';
include_once XOOPS_ROOT_PATH . "/header.php";
require_once $GLOBALS['xoops']->path('/modules/system/include/functions.php');
require_once  __DIR__ . '/header.php';



$op   = system_CleanVars($_REQUEST, 'op', '', 'string');
$sign_op = urldecode($op);

$sort = 1;
if ('update_kw_leave_cate_sort' === $op) {
    foreach ($_POST['cateli'] as $cate_id) {
        $sql = 'update ' . $xoopsDB->prefix('kw_leave_cate') . " set `cate_sort`='{$sort}' where `cate_id`='{$cate_id}'";
        $xoopsDB->queryF($sql) or die(_TAD_SORT_FAIL . ' (' . date('Y-m-d H:i:s') . ')');
        $sort++;
    }
    $sort = 1;
    echo '排序已儲存! (' . date('Y-m-d H:i:s') . ')';
} elseif ('update_kw_leave_office_sort' === $op) {
    foreach ($_POST['officeli'] as $office_id) {
        $sql = 'update ' . $xoopsDB->prefix('kw_leave_office') . " set `office_sort`='{$sort}' where `office_id`='{$office_id}'";
        $xoopsDB->queryF($sql) or die(_TAD_SORT_FAIL . ' (' . date('Y-m-d H:i:s') . ')');
        $sort++;
    }
    $sort = 1;
    echo '排序已儲存! (' . date('Y-m-d H:i:s') . ')';
} elseif ('update_kw_leave_process_sort' === $op) {
    foreach ($_POST['processli'] as $process_id) {
        $sql = 'update ' . $xoopsDB->prefix('kw_leave_process') . " set `process_sort`='{$sort}' where `process_id`='{$process_id}'";
        $xoopsDB->queryF($sql) or die(_TAD_SORT_FAIL . ' (' . date('Y-m-d H:i:s') . ')');
        $sort++;
    }
    $sort = 1;
    echo '排序已儲存! (' . date('Y-m-d H:i:s') . ')';
} 
elseif('kw_leave_stu_update' === $op) {
    $id     = system_CleanVars($_REQUEST, 'id', '', 'string');
    $stu_id = system_CleanVars($_REQUEST, 'stu_id', '', 'string');
    $value  = system_CleanVars($_REQUEST, 'value', '', 'string');
    $grade  = system_CleanVars($_REQUEST, 'grade', '', 'int');
    // echo $id;
    die( kw_leave_update_stu($id, $value, $stu_id,$grade)) ;
    
}
elseif( 'kw_leave_msign' === $op){ //遠端簽核假單
    //$id = filter_input(INPUT_GET, 'id', FILTER_SANITIZE_NUMBER_INT);
    $id    = system_CleanVars($_REQUEST, 'id', '', 'int');
    $id    = urldecode($id);
    $code       = system_CleanVars($_REQUEST, 'code', '', 'string');
    $code       = urldecode($code);
    
    //檢查輸入正確
    $sql = 'select `sign_id` from `' . $xoopsDB->prefix('kw_leave_sign') . "` where `sign_code`='{$code}'";
    $result = $xoopsDB->queryF($sql);
    list($sign_id) = $xoopsDB->fetchRow($result);
    // die("sign_id:".$sign_id."-".$id);
    if($sign_id == $id)
        die(kw_leave_chk_sign($sign_id,1));
    else
        die("簽核錯誤，假單資訊不正確!");

}
else {
    $php_errormsg = 'op錯誤!!';
    die( $php_errormsg) ;
    
}

//修改學生資料
/**
 * @param $id
 * @param $value
 * @param $stu_id
 * @return string|void
 */
function kw_leave_update_stu($id, $value, $stu_id,$grade)
{
    global $xoopsDB;
    // if (!$_SESSION['isKwLeaveAdmin']) {
    //     die(_MD_KWCLUB_FORBBIDEN);
    // }
    if (false !== mb_strpos($id, 'stu_title')) {
        $col = 'stu_title';
    } elseif (false !== mb_strpos($id, 'stu_uid')) {
        $col = 'stu_uid';
    } elseif (false !== mb_strpos($id, 'stu_class')) {
        $col = 'stu_class';
        $class = (int) $value > 9 ? $value : '0'.$value;
        $class_id = ($grade == 0) ? $class : $grade.$class;
    } elseif (false !== mb_strpos($id, 'stu_num')) {
        $col = 'stu_num';
    } else {
        return;
    }

    // echo $class_id;
    $myts = MyTextSanitizer::getInstance();
    $val  = $myts->htmlSpecialChars(strip_tags($value));
    if($col == 'stu_class')
        $sql  = 'update ' . $xoopsDB->prefix('kw_leave_stu') . " set `class_id`='{$class_id}', `{$col}`='{$val}' where `stu_id`='{$stu_id}'";
    else
        $sql  = 'update ' . $xoopsDB->prefix('kw_leave_stu') . " set `{$col}`='{$val}' where `stu_id`='{$stu_id}'";

    $xoopsDB->queryF($sql);
    // echo $sql;
    if ('stu_class' === $col) {
        $value = $val."班";
        
    }

    return $value;
}