<style>
    /* 日历类样式 */
    table {
        border:2px solid rgb(52, 54, 52);  /*给表格加一 个外边框*/
        width: 100%;
        height: auto;
        background-color: #fffaf0
    }
    .fonth {
        color: white;
        background: #000080
    }
    /*设置周列表的背景和字体颜色*/
    .fontb {
        color: white;
        background: #b63105
    }
    /*设置单元格的宽度*/
    th {
        width: 50px
    }
    /*设置单元格的高度和字段显示位置*/
    td,th {
        height: 30px;
        text-align: center
    }
    /*清除表单原有的样式*/
    form {
        margin: 0px;
        padding: 0px
    }
    td a{
        text-decoration: none
    }
    .btn-left{
        width: 5.2em
    }
    .btn-right{
        width: 3.4em
    }
</style>

<div class="row">
    <div class="col-sm-1"></div>
    <div class="col-sm-10">
        <h1><{$smarty.const._MD_KWLEAVE_STATISTICTITLE}></h1>
        <p class="text-primary text-center">
            <{$smarty.const._MD_KWLEAVE_TODAY}><strong><{$smarty.const._TAD_FOR}><{$today}></strong>
            您目前得身分是：
            <{if iskwLeaveMaster}>
            <span class="badge badge-success bg-success"><{$myClass.class_title}><{$myName}></span>
            <{else}>
            <span class="badge badge-danger bg-danger"> 行政人員 <{$myName}></span>
            <{/if}>
        </p>
        <{$calendar}>
        <div class="row text-center">
          <div class="accordion accordion-flush" id="showAttend">
            <p><code><strong><{$date}></strong></code>出席率</p>
          <{foreach from=$class_arr key=index item=class}>
            <div class="accordion-item">
                <h2 class="accordion-header" id="flush-heading<{$index}>">
                  <button class="accordion-button collapsed <{if $count_stu.$index > 0 }>btn-warning<{/if}>" type="button" data-bs-toggle="collapse" data-bs-target="#flush-collapse<{$index}>" data-toggle="collapse" data-target="#flush-collapse<{$index}>" 
                  <{if $iskwLeaveMaster}>aria-expanded="true"<{else}>aria-expanded="false"<{/if}> aria-controls="flush-collapse<{$index}>">
                    <{$class.class_title}><font color="green"><{$class.class_num}></font>人導師：<{$class.class_teacher}>
                  <{if $count_stu.$index > 0 }>，請假：<font color="red"><{$count_stu.$index}>人</font>，出席:<font color="green"><{$class.class_num-$count_stu.$index}>人</font>
                    <{else}>
                    <span class="badge badge-success bg-success">全到</span>
                    <{/if}> 
                  </button>
                </h2>

                <div id="flush-collapse<{$index}>" class="accordion-collapse collapse <{if $iskwLeaveMaster}>show<{/if}>" aria-labelledby="flush-heading<{$index}>" <{if !$iskwLeaveMaster}>data-bs-parent="#accordionFlushExample"<{/if}> >
                  <div class="accordion-body">
                    <{if $all_stu.$index}>
                        <{foreach from=$all_stu.$index key=id item=stu}>
                            <li>
                            <code><{$stu.cate_title}></code> <{$id}><{$stu.stu_title}>
                            <span class="badge badge-warning bg-warning">
                              <{$stu.book_dt_start}>~<{$stu.book_dt_end}>
                            </span>
                            <{if $stu.book_isfinish}><span class="badge badge-success bg-success">已簽核</span>
                            <{else}><span class="badge badge-danger bg-danger">簽核中</span><{/if}>
                          </li>
                        <{/foreach}>
                    <{else}>
                      全部出席
                    <{/if}>
                  </div>
                </div>
          </div>
          <{/foreach}>
        </div>
      </div>
    </div>
    <div class="col-sm-1"></div>
</div>


