<div class="row">
    <div class="col-sm-1"></div>
    <div class="col-sm-10">
        <h1><{$smarty.const._MD_KWLEAVE_TEACHER}></h1>
        <p class="text-primary text-center">
            <{$smarty.const._MD_KWLEAVE_TODAY}><strong><{$smarty.const._TAD_FOR}><{$today}></strong>
            您目前得身分是：         
            <span class="badge badge-success bg-success"><{$job}><{$myName}></span>
        </p>
        <div class="text-center">
        班級：
        <select name="class_id" id="class_id" onChange="location.href='teacher.php?class_id='+$('#class_id').val()" >
            <option  value="" ><{$smarty.const._MD_KWLEAVE_BOOK_SELECT}></option>
            <{foreach from=$class_arr item=arr}>
                <option  value="<{$arr.class_id}>"  <{if $arr.class_id == $class_id }>selected<{/if}>><{if $arr.class_grade==0}>幼<{else}><{$arr.class_grade}><{/if}>年<{$arr.class_class}>班</option>
            <{/foreach}>
        </select>
        </div>

        <{if $all_stu}>
        <div class="text-center" style="font-size:0.9em;margin: 2px auto 30px;color:rgb(97, 29, 63);">
            <i class="fa fa-lightbulb-o" aria-hidden="true"></i>請點選底線虛線編輯學生資料
            <!--<button type="button" class="btn-sm btn-primary">加入學生</button>-->
            <a class="btn btn-primary" id='stu-btn1' data-bs-toggle="modal" href="#stuModalToggle" role="button">加入學生</a>
            <a class="btn btn-warning" id='stu-btn2' data-bs-toggle="modal" href="#stuModalAdd" role="button">新增學生</a>
        </div>
        <div class="vtable" style="margin:10px auto 30px;">
            <ul class="vhead">
                <!--學生id-->        
                <li class="w1">
                    <{$smarty.const._MD_KWLEAVE_STU_ID}>
                </li>
                <!--學生名-->        
                <li class="w1">
                    <{$smarty.const._MD_KWLEAVE_STU_TITLE}>
                </li>
                <!--學生UID-->        
                <li class="w1">
                    <{$smarty.const._MD_KWLEAVE_STU_UID}>
                </li>
                <!--年級-->
                <li class="w1">
                    <{$smarty.const._MD_KWLEAVE_STU_GRADE}>
                </li>
                <!--班級-->
                <li class="w1">
                    <{$smarty.const._MD_KWLEAVE_STU_CLASS}>
                </li>
                <!--座號-->
                <li class="w1">
                    <{$smarty.const._MD_KWLEAVE_STU_NUM}>
                </li>
                <!--請假-->
                <li class="w1">
                    <{$smarty.const._MD_KWLEAVE_STU_TOTAL}>
                </li>
        
                <{if $iskwLeaveAdmin || iskwLeaveMaster}>
                    <li class="w1">
                        <{$smarty.const._TAD_FUNCTION}>
                    </li>
                <{/if}>
            </ul>
            
            <{foreach from=$all_stu key=id item=data}>
                <ul>
                    <!--學號-->
                    <li class="vm w1 text-center">
                        <span><{$data.stu_id}></span>
                    </li>
                    <!--姓名-->
                    <li class="vm w1 text-center">
                        <{if $iskwLeaveAdmin || iskwLeaveMaster}>
                            <span class="editable" id="stu_title_<{$data.stu_id}>"><{$data.stu_title}></span>
                        <{else}>
                            <span><{$data.stu_title}></span>
                        <{/if}>
                    </li>
                    <!--UID-->
                    <li class="vm w1 text-center">
                        <{if $iskwLeaveAdmin || iskwLeaveMaster}>
                            <span class="editable" id="stu_uid_<{$data.stu_id}>"><{$data.stu_uid}></span>
                        <{else}>
                            <span><{$data.stu_uid}></span>
                        <{/if}>
                    </li>
                    <!--年級-->
                    <li class="vm w1 text-center">
                        <span> <{$data.stu_grade}>年級</span>
                    </li>
                    <!--班級-->
                    <li class="vm w1 text-center">
                        <span class="editable" id="stu_class_<{$data.stu_id}>"><{$data.stu_class}>班</span>
                    </li>
                    <!--座號-->
                    <li class="vm w1 text-center">
                        <span class="editable" id="stu_num_<{$data.stu_id}>"><{$data.stu_num}></span>
                    </li>
                    <!--請假-->
                    <li class="vm w1 text-center">
                        <span ><{ $data.stu_total }></span>
                    </li>
                    <{if $iskwLeaveAdmin || iskwLeaveMaster}>
                        <!--功能-->
                        <li class="vm w1 text-center">
                            <a href="javascript:delete_stu_func(<{$data.stu_id}>);" class="btn btn-sm btn-danger"><{$smarty.const._TAD_DEL}></a>
                        </li>
                    <{/if}>
                </ul>
            <{/foreach}>
        </div>
        
        <{else}>
        <div class="alert alert-danger">
            <{$smarty.const._MD_KWLEAVE_STU_EMPTY}>
        </div>
        <{/if}>
    </div>
    <div class="col-sm-1"></div>
</div>

<!--modal-->
<div class="modal fade" id="stuModalToggle" aria-hidden="true" aria-labelledby="stuModalToggleLabel" tabindex="-1">
<div class="modal-dialog modal-dialog-centered">
    <div class="modal-content">
    <div class="modal-header">
        <h5 class="modal-title" id="stuModalToggleLabel">加入學生到此班級</h5>
        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
    </div>
    <div class="modal-body">
        <div class="input-group mb-3">
            <span class="input-group-text" id="basic-addon1">請輸入學號:</span>
            <input type="hidden" id="class_id" name="class_id" value="<{$class_id}>">
            <input type="text" id="stu_id" name="stu_id" value="" class="form-control" placeholder="110001">
        </div>
    </div>
    <div class="modal-footer">
        <button class="btn btn-primary" id="btn-stu-search" data-bs-target="#stuModalToggle2" data-bs-toggle="modal" data-bs-dismiss="modal">查尋</button>
    </div>
    </div>
</div>
</div>
<div class="modal fade" id="stuModalToggle2" aria-hidden="true" aria-labelledby="stuModalToggle2" tabindex="-1">
<div class="modal-dialog modal-dialog-centered">
    <div class="modal-content">
    <div class="modal-header">
        <h5 class="modal-title" id="exampleModalToggleLabel2">學生資訊</h5>
        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
    </div>
    <div class="modal-body" id="stu-show">
    </div>
    <div class="modal-footer">
        <button class="btn btn-primary" data-bs-target="#stuModalToggle" data-bs-toggle="modal" data-bs-dismiss="modal">重新查詢</button>
        <button class="btn btn-primary" id="btn-stu-move" data-bs-toggle="modal" data-bs-dismiss="modal">確定新增</button>
    </div>
    </div>
</div>
</div>


<div class="modal fade" id="stuModalAdd" tabindex="-1" aria-labelledby="stuModalAddLabel" aria-hidden="true">
<div class="modal-dialog">
<div class="modal-content">
    <div class="modal-header">
    <h5 class="modal-title" id="stuModalAddLabel">新增學生到此班級</h5>
    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
    </div>
    <form id="form-stu" class="stu-form row gy-0 gx-0 align-items-center" method="post" role="form">
    <{$new_stu_token}>
    <div class="modal-body">
        <div class="input-group mb-3">
            <input type="hidden" name="class_id" value="<{$class_id}>">
            <input type="hidden" name="op" value="kw_leave_stu_add">
            <span class="input-group-text" id="basic-addon1">學號:</span>
            <input type="text" name="stu_id" class="form-control validate[required]" placeholder="112001" aria-label="112001" aria-describedby="basic-addon1">
        </div>
        <div class="input-group mb-3">
            <span class="input-group-text" id="basic-addon1">姓名:</span>
            <input type="text" name="title" class="form-control validate[required]" placeholder="學生姓名" aria-label="學生姓名" aria-describedby="basic-addon1">
        </div>
        <div class="input-group mb-3">
            <span class="input-group-text" id="basic-addon1">字號:</span>
            <input type="text" id="sid" name="sid" class="form-control validate[required]" placeholder="身分證字號" aria-label="身分證字號" aria-describedby="basic-addon1">
        </div>
        <div class="input-group mb-3">
            <span class="input-group-text" id="basic-addon1">座號:</span>
            <input type="text" name="num" class="form-control validate[required]" placeholder="班級座號" aria-label="班級座號" aria-describedby="basic-addon1">
        </div>
    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">取消</button>
        <button type="button" id="btn-stu-new" class="btn btn-primary">新增學生</button>
    </div>
    </form>
</div>
</div>
</div>
<!--add stu-->
<script type="text/javascript">
$(document).ready(function(){
    $("#btn-stu-search").click(function() {
        let stu_id= $("#stu_id").val();
        let class_id =$("#class_id").val();
        //alert("stu:"+stu_id+class_id);
        $.get("teacher.php", {op: "kw_leave_stu_search" , stu_id: stu_id , class_id: class_id}, function(res){
            if(res=='0')
                swal("錯誤","缺少有效資料!","error");
            else{
                $("#stu-show").empty();
                $("#stu-show").html(res);
            //alert('Ajax success!');
            }
        });
    });

    $("#btn-stu-move").click(function() {
        let stu_id = $("#stu_id").val();
        let class_id = $("#class_id").val();
        //alert("stu:"+stu_id);
        $.get("teacher.php", {op: "kw_leave_stu_move" , stu_id: stu_id, class_id: class_id }, function(res){
            //alert("stu:"+res);
            if(res=='1'){
                swal("提醒","轉移新增學生成功!","success");
            }
            else{
                swal("提醒","轉移新增學生失敗!","error");
            }
            location.reload();
        });
    });
    
    $("#btn-stu-new").click(function() {
        var form = $('#form-stu');
        //console.log(form.serialize());
        form.find('input[type="text"]').each(function() {
            if($(this).val()==''){
                swal("提醒","請填寫全部學生資訊!","error");
                return;
            }
        });
        $.ajax({
            url : "teacher.php",
            type : 'post',
            cache: false,
            data : form.serialize(), // 不用JSON.stringify()
            success: function(res) {
                //alert("成功:"+ res); // result是json物件
                if(res=='1'){
                    swal("成功","新增學生成功!","success");
                    setTimeout(function() { 
                        location.reload();
                    }, 2000);  
                    
                }
                else if(res=='2'){
                    swal("錯誤","學號或是身分證字號已存在","error");
                }
                else{
                    swal("錯誤","新增學生失敗!","error");
                }
            },
            error: function(xhr) {
                swal("錯誤","刪除錯誤"+xhr.error,"error");
                console.log(xhr);
                //showSwal('error');
            }
        });
    });

    $(".btn-close").click(function() {
        $('.modal').modal('hide');
    });
    /*$("#stu-add").click(function() {
        $('#stuModalToggle').modal('show');
    });*/
    
    $('#sid').change(function(){
        studIdNumberIdentify( $('#sid').val());
        // alert("學生身分字號錯誤!!"); 
    });
    
    function studIdNumberIdentify(idNumber) {
        studIdNumber = idNumber.toUpperCase();
        var nationality=0;
        if (studIdNumber.length != 10) {
            //alert("學生ID字號長度錯誤!");
            swal("錯誤","學生身分證字號長度錯誤!","error");
            return false;
        }
        //格式，用正則表示式比對第一個字母是否為英文字母
        if (isNaN(studIdNumber.substr(2, 9)) || (/^[a-z][A-Z]$/.test(studIdNumber.substr(0, 1)))) {
            //alert("學生ID字號格式錯誤!");
            swal("錯誤","學生身分證字號格式錯誤!","error");
            return false;
        }               
        //檢查是否是外國ID(第二碼為英文不是數字)
        if ( isNaN(studIdNumber.substr(1, 1)) ) {
            //外籍生，居留證號規則跟身分證號差不多，只是第二碼也是英文字母代表性別，跟第一碼轉換二位數字規則相同，但只取餘數 
            var idHeader = "ABCDEFGHJKLMNPQRSTUVXYWZIO"; //按照轉換後權數的大小進行排序
            //這邊把身分證字號轉換成準備要對應的
            studIdNumber = (idHeader.indexOf(studIdNumber.substring(0, 1)) + 10) +
                '' + ((idHeader.indexOf(studIdNumber.substr(1, 1)) + 10) % 10) + '' + studIdNumber.substr(2, 8);
            //開始進行身分證數字的相乘與累加，依照順序乘上1987654321
            s = parseInt(studIdNumber.substr(0, 1)) +
                parseInt(studIdNumber.substr(1, 1)) * 9 +
                parseInt(studIdNumber.substr(2, 1)) * 8 +
                parseInt(studIdNumber.substr(3, 1)) * 7 +
                parseInt(studIdNumber.substr(4, 1)) * 6 +
                parseInt(studIdNumber.substr(5, 1)) * 5 +
                parseInt(studIdNumber.substr(6, 1)) * 4 +
                parseInt(studIdNumber.substr(7, 1)) * 3 +
                parseInt(studIdNumber.substr(8, 1)) * 2 +
                parseInt(studIdNumber.substr(9, 1));
            //檢查號碼 = 10 - 相乘後個位數相加總和之尾數。
            checkNum = parseInt(studIdNumber.substr(10, 1));
            //模數 - 總和/模數(10)之餘數若等於第九碼的檢查碼，則驗證成功
            ///若餘數為0，檢查碼就是0
            if ((s % 10) == 0 || (10 - s % 10) == checkNum) {
                // alert("外國檢核正確");
                return true;
            }
            else {
                //alert("居留證號ID檢核錯誤!");
                swal("錯誤","居留證號ID檢核錯誤!","error");
                //$('#sid').val("");
                return false;
            }
        }else{ //本國
            var idHeader = "ABCDEFGHJKLMNPQRSTUVXYWZIO"; //按照轉換後權數的大小進行排序
            //這邊把身分證字號轉換成準備要對應的
            studIdNumber = (idHeader.indexOf(studIdNumber.substring(0, 1)) + 10) + '' + studIdNumber.substr(1, 9);
            //開始進行身分證數字的相乘與累加，依照順序乘上1987654321
            s = parseInt(studIdNumber.substr(0, 1)) +
                parseInt(studIdNumber.substr(1, 1)) * 9 +
                parseInt(studIdNumber.substr(2, 1)) * 8 +
                parseInt(studIdNumber.substr(3, 1)) * 7 +
                parseInt(studIdNumber.substr(4, 1)) * 6 +
                parseInt(studIdNumber.substr(5, 1)) * 5 +
                parseInt(studIdNumber.substr(6, 1)) * 4 +
                parseInt(studIdNumber.substr(7, 1)) * 3 +
                parseInt(studIdNumber.substr(8, 1)) * 2 +
                parseInt(studIdNumber.substr(9, 1));
            checkNum = parseInt(studIdNumber.substr(10, 1));
            //模數 - 總和/模數(10)之餘數若等於第九碼的檢查碼，則驗證成功
            //若餘數為0，檢查碼就是0
            if ((s % 10) == 0 || (10 - s % 10) == checkNum) {
                return true;
            }
            else {
                //alert("身分證字號ID檢核錯誤!");
                swal("錯誤","身分證字號檢核錯誤!","error");
                //$('#sid').val("");
                return false;
            }
        }//end if
    }//end function

});//end doc
</script>

