<div class="row">
  <!--list-->
  <div class="col-md-6">
    <h2><{$smarty.const._MD_KWLEAVE_CLASS_LIST}></h2>

    <ul class="list-group" id="kw_leave_class_sort">
      <{foreach from=$school_grade key=i item=grade}>
        <li id="classli_<{$grade}>" class="list-group-item">
            <{$grade}>年級 
            <{foreach from=$school_class key=j item=class}>
              <{assign var="index" value="`$i*100+$j`"}>
              <{if $class_arr[$index]}>              
                <{if $class_arr[$index].class_isenable==1}>
                  <button type="button" class="class-btn btn-success btn-sm" id="kw_leave_class_<{$index}>" value="<{$index}>" num="<{$class_arr[$index].class_num}>" sort="<{$class_arr[$index].class_sort}>" uid="<{$class_arr[$index].class_teacher_uid}>" data-bs-toggle="tooltip" data-bs-placement="top"  data-toggle="tooltip" data-placement="top" title="點選編輯班級"><{$index}>(<font color="yellow"><{$class_arr[$index].class_num}></font>)</button>
                <{elseif $class_arr[$index].class_isenable==0}>
                  <button type="button" class="class-btn btn-dark btn-sm" id="kw_leave_class_<{$index}>" value="<{$index}>" num="<{$class_arr[$index].class_num}>" sort="<{$class_arr[$index].class_sort}>" data-bs-toggle="tooltip" data-bs-placement="top" data-toggle="tooltip" data-placement="top" title="點選編輯班級"><{$index}></button>
                  <{/if}>
              <{else}>
                  <button type="button" class="class-btn btn-secondary btn-sm" id="kw_leave_class_<{$index}>" value="<{$index}>"  data-bs-toggle="tooltip" data-bs-placement="top" data-toggle="tooltip" data-placement="top" title="點選建立班級">
                    <{$index}></button>
                <{/if}>
            <{/foreach}>
        </li>
      <{/foreach}>
    </ul>
    <p class="text-danger">年級和班級請到"偏好設定"修改</p>
  </div>

  <!--form-->
  <div class="col-md-6">
    <h2><{$smarty.const._MD_KWLEAVE_CLASS_SETUP}></h2>
    <{includeq file="$xoops_rootpath/modules/kw_leave/templates/sub_kw_leave_class_form.tpl"}>
  </div>
</div>

<!--classScript-->
<script type="text/javascript">
  $(document).ready(function(){
      //select class
      $(".class-btn").click(function() {
          let id = $(this).val();
          let uid = $(this).attr("uid");
          //let color = $(this).css("color");
          let num = $(this).attr("num");
          let sort = $(this).attr("sort");
          //設定btn文字顏色
          $(".class-btn").css("color", "");
          $(this).css("color", "red");
          //設定class_title
          $("#class_title option").attr("selected", false);
          $("#class_title option[value='"+id+"']").attr("selected", true); 
          $("#class_teacher_uid option").attr("selected", false);
          $("#class_teacher_uid option[value='"+uid+"']").attr("selected", true);
          //設定班級人數
          $("#total").val(num);
          //設定班級序號
          $("#sort").val(sort);
          //設定op&id
          $("#config_id").val(id);
          if($(this).attr('class')=='class-btn btn-success btn-sm'){
            $("#class_op").val("kw_leave_config_update");
          }else if($(this).attr('class')=='class-btn btn-secondary btn-sm'){
            $("#class_op").val("kw_leave_config_insert");
          }else if($(this).attr('class')=='class-btn btn-dark btn-sm'){
            $("#class_op").val("kw_leave_config_update");
          }
      });


      //delete one class
      $("#del_class").click(function() {
        let class_id = $("#config_id").val();
        if(class_id ==''){ 
          //alert("請先點選班級按鈕!");
          swal("提醒", "請先點選班級按鈕!");
          exit();
        }else if($("#kw_leave_class_"+class_id).attr("class") == "class-btn btn-secondary btn-sm"){
          swal({title:"",text:"此班級已刪除!",type:"error"});
          exit();
        }else{
          delete_class(class_id);
        }
      });//del_class

      //save or alert class
      $("#classForm").submit(function() {
        //let class_id = $("#config_id").val();
        if($("#config_id").val()==''){
          //alert("請先點選班級按鈕!");
          event.preventDefault();
          swal("提醒", "請先點選班級按鈕!");
          return;
        }
      });

      //delete allClass
      $("#class_delAll").submit(function() {
        event.preventDefault();
        var form = $(this);
        var url = form.attr('action');
        swal({
          title: '確定要刪除全部班級？',
          text: '全校班級都將會被刪除！',
          type: 'warning',
          html: '',
          showCancelButton: true,
          confirmButtonColor: '#DD6B55',
          confirmButtonText: '確定刪除全校班級！',
          closeOnConfirm: false ,
          allowOutsideClick: true
          },
          function(){
            $.ajax({
                url : url,
                type : 'post',
                cache: false,
                data : form.serialize(), // 不用JSON.stringify()
                dataType : "json", //回傳格式
                success: function(res) {
                  //alert("成功:"+ data); // result是json物件
                  if(res.result){
                    $(".class-btn").attr('class',"class-btn btn-secondary btn-sm").css("color", "white");
                    swal("提醒","全部班級已刪除!","success");
                    setTimeout(function() { 
                      location.reload();
                    }, 3000); 
                  }else{
                    swal("錯誤",res.msg,"error");
                  } 
                },
                error: function(xhr) {
                  swal("錯誤","刪除錯誤"+xhr.error,"error");
                }     
              });
          });
      });//class_delAll


  });//document

  //deltet selected class
  function delete_class(class_id){
    swal({
      title: '確定要刪除此班級？',
      text: '此班級的學生一併都將會被刪除！您確定嗎?',
      type: 'warning',
      html: '',
      showCancelButton: true,
      confirmButtonColor: '#DD6B55',
      confirmButtonText: '刪除班級和全部學生！',
      closeOnConfirm: false ,
      allowOutsideClick: true
    },
    function(){
      $.get("config.php", {op: "kw_leave_config_delete" , config_id: class_id , type:'class'}, function(res){
        $("#kw_leave_class_"+class_id).attr('class',"class-btn btn-secondary btn-sm").text(class_id).css("color", "white");
        swal("提醒","班級和學生已刪除!","success");
      });
    });
  }

  function showSwal(type, msg=''){
    if(type == 'error') //
        swal("錯誤","回傳錯誤!請確認『關閉除錯』!","error");
    else if(type == 'nofile')
        swal("錯誤","請先選擇上傳檔案!","error");
    else if(type== 'deleted'){
        swal("成功","全部學生已刪除!","success");
    }
    else if(type== 'fail'){
        swal("失敗", msg ,"error");
    }
    else if(type=='progress'){
        const imageURL = "./assets/images/spinningwheel_progress.gif";
        swal({
            title: "匯入中...請稍等!",
            //type: "info",
            //html: "<img src='"+imageURL+"' style='width:150px;'>",
            imageUrl: imageURL,
            showConfirmButton: false,
            showCancelButton: false,
            allowOutsideClick: false,
            closeOnConfirm: false ,
            showLoaderOnConfirm: true,
            timer: 3000
        });
    }
    else if(type=="uploaded"){
        swal({
            //position: 'top-end',
            title: '上傳成功',
            type: 'success',
            showConfirmButton: false,
            timer: 1000
        });
    }
  }
</script>